# docker-borgbackup-exporter

[![Build Status](https://ci.bunix.de/api/badges/bunix42/docker-borgbackup-exporter/status.svg)](https://ci.bunix.de/bunix42/docker-borgbackup-exporter)
[![hadolint](https://img.shields.io/badge/hadolint-passing-brightgreen)](https://github.com/hadolint/hadolint)
[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)](https://github.com/pre-commit/pre-commit)
[![docker](https://img.shields.io/docker/v/bunix42/docker-borgbackup-exporter)](https://registry.hub.docker.com/r/bunix42/docker-borgbackup-exporter)

This is a simple cron based exporter for borg backup metrics, that are supposed to be delivered via any means like a simple nginx or using node_exporters textfile or adding pushgateway pushes.

## example usage

```
version: '3'

services:

  backup:
    build: .
    environment:
      - BORG_PASSPHRASE=ThisIsTheAbsolutlyAlmightySecretCredential
      - BORG_REPO=ssh://<user>@<host>/<root folder>
      - CRON_SCHEDULE=0 */1 * * *
    volumes:
      - ./conf/.ssh:/root/.ssh               # this volume should contain an prive ssh key and an authorized hosts key
      - exporter-data:/output                # this volume is used to share the metrics file

  borg-exporter-front:
    image: nginx:1.21
    volumes:
      - exporter-data:/usr/share/nginx/html/
    ports:
      - 8080:80

volumes:
  exporter-data:
```

## inspired by

* https://github.com/mad-ady/prometheus-borg-exporter
* https://github.com/teemow/prometheus-borg-exporter